Overview
GET
/monitoring/sites/{id}monitoringGet sites by id
Fetch a record from sites by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
sites
- idstring
- siteGroupIdstring
- userIdstring
- ownerKindstring
- ownerIdstring
- namestring
- slugstring
- descriptionstring?
- displayOrderinteger
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"siteGroupId": "string",
"userId": "string",
"ownerKind": "string",
"ownerId": "string",
"name": "string",
"slug": "string",
"description": "string",
"displayOrder": 0,
"createdAt": "string",
"updatedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/monitoring/sites/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/sites/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();